import { InputProps } from 'rlj-design';
interface IItem {
    label: string;
    value: string | number;
    onClick?: (val: string | number) => {} | void;
}
interface IProps extends ICustomizeProps {
    showSearch?: Boolean;
    filterData?: Array<IItem>;
    itemRender?: (item: IItem, className: string) => {};
}
interface ICustomizeProps extends InputProps {
    onSearchCustomize?: (value: any) => void;
}
declare const SearchList: ({ filterData, itemRender, showSearch, onChange, ...reset }: IProps) => JSX.Element;
export default SearchList;
