var _excluded = ["selectedItem", "fun"],
    _excluded2 = ["key", "name"],
    _excluded3 = ["multiSelect", "selection"],
    _excluded4 = ["multiSelect", "config"],
    _excluded5 = ["multiSelect", "config"],
    _excluded6 = ["multiSelect", "config"];

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React, { useState, useContext, useMemo, useEffect } from 'react';
import { Input, Form, Select, Icon, InputNumber, DatePicker, SelectCheckbox, Empty } from 'rlj-design';
import { PREFIX_CLS } from "../constants/dictionary";
import { FilterContext } from "./Filter";
import DPSelect from "./components/DPSelect";
import AddressCascader from "../AddressCascader";
import PersonSelect from "../PersonSelect";
import "./style/filterValue.less";
var prefixCls = "".concat(PREFIX_CLS, "-filter-value");
var Option = Select.Option;
var RangePicker = DatePicker.RangePicker; // 这里写一个BaseWrapper容器让输入框能够接收到Form.Item给的props属性

var BaseWrapperHOC = function BaseWrapperHOC(_ref) {
  var selectedItem = _ref.selectedItem,
      fun = _ref.fun,
      restProps = _objectWithoutProperties(_ref, _excluded);

  var selection = selectedItem.selection,
      multiSelect = selectedItem.multiSelect,
      config = selectedItem.config;
  return /*#__PURE__*/React.createElement("span", null, fun(_objectSpread(_objectSpread(_objectSpread({}, restProps), {}, {
    selection: selection
  }, typeof multiSelect === 'boolean' ? {
    multiSelect: multiSelect
  } : {}), {}, {
    value: (restProps === null || restProps === void 0 ? void 0 : restProps.value) === null ? undefined : restProps === null || restProps === void 0 ? void 0 : restProps.value
  }, config ? {
    config: config
  } : {})));
};

export var deleteItem;

var FilterValue = function FilterValue(_ref2) {
  var remove = _ref2.remove,
      item = _ref2.item;

  var _Form$useFormInstance = Form.useFormInstance(),
      setFieldValue = _Form$useFormInstance.setFieldValue,
      getFieldsValue = _Form$useFormInstance.getFieldsValue,
      getFieldValue = _Form$useFormInstance.getFieldValue,
      setFieldsValue = _Form$useFormInstance.setFieldsValue,
      setFormFields = _Form$useFormInstance.setFields;

  var key = item.key,
      name = item.name,
      restField = _objectWithoutProperties(item, _excluded2);

  var _useState = useState(),
      _useState2 = _slicedToArray(_useState, 2),
      currentSelected = _useState2[0],
      setCurrentSelected = _useState2[1];

  var _useState3 = useState(false),
      _useState4 = _slicedToArray(_useState3, 2),
      expressHasValue = _useState4[0],
      setExpressHasValue = _useState4[1];

  var _ref3 = useContext(FilterContext) || {},
      filterOk = _ref3.filterOk,
      _ref3$fields = _ref3.fields,
      fields = _ref3$fields === void 0 ? [] : _ref3$fields,
      setFields = _ref3.setFields,
      items = _ref3.items,
      addressMap = _ref3.addressMap;

  var options = useMemo(function () {
    return (items || []).map(function (item) {
      return _objectSpread(_objectSpread({}, item), {}, {
        showOption: !(fields !== null && fields !== void 0 && fields.map(function (obj) {
          return obj === null || obj === void 0 ? void 0 : obj.fieldId;
        }).includes(item === null || item === void 0 ? void 0 : item.fieldId))
      });
    });
  }, [items, fields]);
  useEffect(function () {
    if (items) {
      var _items$filter;

      var fieldId = getFieldValue(['fields', name, 'fieldId']);
      var express = getFieldValue(['fields', name, 'express']);
      var curItem = (_items$filter = items.filter(function (item) {
        return item.fieldId === fieldId;
      })) === null || _items$filter === void 0 ? void 0 : _items$filter[0];
      setExpressHasValue(!!express);
      setCurrentSelected(curItem);
    }
  }, [name]);

  var onChange = function onChange(e, options) {
    var _getFieldsValue;

    var _options$item = options.item,
        item = _options$item === void 0 ? {} : _options$item;
    var selected = fields === null || fields === void 0 ? void 0 : fields.map(function (item) {
      return item === null || item === void 0 ? void 0 : item.fieldId;
    });

    var _ref4 = currentSelected || {},
        fieldId = _ref4.fieldId;

    var index = fieldId ? selected.indexOf(fieldId) : -1;

    if (index >= 0) {
      selected.splice(index, 1);
    }

    selected.push(e);
    setCurrentSelected(item);
    setFieldValue(['fields', name, 'value'], null);
    setFields((_getFieldsValue = getFieldsValue()) === null || _getFieldsValue === void 0 ? void 0 : _getFieldsValue.fields);
  };

  var comSelect = function comSelect(_ref5) {
    var multiSelect = _ref5.multiSelect,
        selection = _ref5.selection,
        restProps = _objectWithoutProperties(_ref5, _excluded3);

    return multiSelect ? /*#__PURE__*/React.createElement(SelectCheckbox, _extends({
      key: currentSelected === null || currentSelected === void 0 ? void 0 : currentSelected.fieldId,
      options: selection,
      maxTagTextLength: 8
    }, restProps, {
      onChange: function onChange(e) {
        (restProps === null || restProps === void 0 ? void 0 : restProps.onChange) && (restProps === null || restProps === void 0 ? void 0 : restProps.onChange(e));
        valueChange();
      },
      placeholder: "\u8BF7\u9009\u62E9"
    })) : /*#__PURE__*/React.createElement(Select, _extends({}, restProps, {
      placeholder: "\u8BF7\u9009\u62E9",
      labelInValue: true,
      onChange: function onChange(e) {
        (restProps === null || restProps === void 0 ? void 0 : restProps.onChange) && (restProps === null || restProps === void 0 ? void 0 : restProps.onChange(e));
        valueChange();
      }
    }), selection && (selection === null || selection === void 0 ? void 0 : selection.map(function (_ref6) {
      var label = _ref6.label,
          value = _ref6.value;
      return /*#__PURE__*/React.createElement(Select.Option, {
        key: value,
        value: value
      }, label);
    })));
  };

  var inputComponent = {
    string: function string(props) {
      return /*#__PURE__*/React.createElement(Input, _extends({}, props, {
        onBlur: valueChange,
        onPressEnter: valueChange,
        placeholder: "\u8BF7\u8F93\u5165"
      }));
    },
    number: function number() {
      var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
      return /*#__PURE__*/React.createElement(InputNumber, _extends({
        style: {
          width: '100%'
        },
        maxLength: 16,
        controls: false,
        onBlur: valueChange,
        onPressEnter: valueChange
      }, props, {
        placeholder: "\u8BF7\u8F93\u5165"
      }));
    },
    date: function date(props) {
      return /*#__PURE__*/React.createElement(RangePicker, _extends({
        style: {
          width: '100%'
        }
      }, props, {
        onChange: function onChange(e) {
          (props === null || props === void 0 ? void 0 : props.onChange) && (props === null || props === void 0 ? void 0 : props.onChange(e));
          valueChange();
        },
        placeholder: ['开始日期', '结束日期']
      }));
    },
    selection: comSelect,
    object: comSelect,
    org: function org(_ref7) {
      var multiSelect = _ref7.multiSelect,
          config = _ref7.config,
          restProps = _objectWithoutProperties(_ref7, _excluded4);

      return /*#__PURE__*/React.createElement(DPSelect, _extends({
        selectComProps: {
          selectDept: config.action,
          searchDeptChain: config.searchDeptChain,
          multiple: true
        },
        mode: "multiple",
        placeholder: "\u8BF7\u9009\u62E9",
        maxTagTextLength: 8
      }, restProps, {
        recurse: currentSelected === null || currentSelected === void 0 ? void 0 : currentSelected.recurse,
        onChange: function onChange(e) {
          (restProps === null || restProps === void 0 ? void 0 : restProps.onChange) && (restProps === null || restProps === void 0 ? void 0 : restProps.onChange(e));
          valueChange();
        }
      }));
    },
    emp: function emp(_ref8) {
      var multiSelect = _ref8.multiSelect,
          config = _ref8.config,
          restProps = _objectWithoutProperties(_ref8, _excluded5);

      return /*#__PURE__*/React.createElement(PersonSelect, _extends({
        searchAction: config.action,
        searchParams: config.params,
        mode: "multiple"
      }, restProps, {
        onChange: function onChange(e) {
          (restProps === null || restProps === void 0 ? void 0 : restProps.onChange) && (restProps === null || restProps === void 0 ? void 0 : restProps.onChange(e));
          valueChange();
        }
      }));
    },
    address: function address(_ref9) {
      var multiSelect = _ref9.multiSelect,
          config = _ref9.config,
          restProps = _objectWithoutProperties(_ref9, _excluded6);

      return /*#__PURE__*/React.createElement(AddressCascader, _extends({
        action: config.action
      }, restProps, {
        multiple: true,
        onChange: function onChange(e, option) {
          var _ref10 = currentSelected || {},
              fieldId = _ref10.fieldId;

          fieldId && (addressMap === null || addressMap === void 0 ? void 0 : addressMap.set(fieldId, option.map(function (item) {
            return item.map(function (_ref11) {
              var label = _ref11.label,
                  value = _ref11.value;
              return {
                label: label,
                value: value
              };
            });
          })));
          (restProps === null || restProps === void 0 ? void 0 : restProps.onChange) && (restProps === null || restProps === void 0 ? void 0 : restProps.onChange(e));
          valueChange();
        }
      }));
    }
  };

  var valueChange = function valueChange() {
    var _getFieldsValue2;

    setFields((_getFieldsValue2 = getFieldsValue()) === null || _getFieldsValue2 === void 0 ? void 0 : _getFieldsValue2.fields);
    filterOk();
  };

  deleteItem = function deleteItem(name) {
    var _getFieldsValue3, _getFieldsValue3$fiel, _getFieldsValue4;

    // 判断当前只剩下一条的时候，只清空输入框内数据
    if (((_getFieldsValue3 = getFieldsValue()) === null || _getFieldsValue3 === void 0 ? void 0 : (_getFieldsValue3$fiel = _getFieldsValue3.fields) === null || _getFieldsValue3$fiel === void 0 ? void 0 : _getFieldsValue3$fiel.length) === 1) {
      setFieldsValue({
        fields: [undefined]
      });
      setCurrentSelected(undefined);
      valueChange();
      return;
    }

    remove(name);
    setFields((_getFieldsValue4 = getFieldsValue()) === null || _getFieldsValue4 === void 0 ? void 0 : _getFieldsValue4.fields);
    filterOk();
  };

  return /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-item")
  }, /*#__PURE__*/React.createElement(Form.Item, _extends({}, restField, {
    name: [name, 'fieldId'],
    style: {
      width: 160,
      marginRight: 8
    },
    rules: [{
      required: true,
      message: '不能为空'
    }]
  }), /*#__PURE__*/React.createElement(Select, {
    onChange: onChange,
    placeholder: "\u8BF7\u9009\u62E9\u5B57\u6BB5",
    allowClear: false,
    optionFilterProp: "children",
    showSearch: true,
    notFoundContent: /*#__PURE__*/React.createElement(Empty, {
      description: "\u641C\u7D22\u65E0\u7ED3\u679C",
      image: Empty.PRESENTED_IMAGE_SIMPLE
    }),
    filterOption: function filterOption(input, option) {
      var _children, _children$toLowerCase;

      return (_children = option.children) === null || _children === void 0 ? void 0 : (_children$toLowerCase = _children.toLowerCase()) === null || _children$toLowerCase === void 0 ? void 0 : _children$toLowerCase.includes(input.toLowerCase());
    }
  }, options.map(function (item) {
    return (item.showOption || item.fieldId === (currentSelected === null || currentSelected === void 0 ? void 0 : currentSelected.fieldId)) && /*#__PURE__*/React.createElement(Select.Option, {
      key: item.fieldId,
      value: item.fieldId,
      item: item
    }, item.fieldName);
  }))), (currentSelected === null || currentSelected === void 0 ? void 0 : currentSelected.fieldType) === 'number' && /*#__PURE__*/React.createElement(Form.Item, _extends({}, restField, {
    name: [name, 'express'],
    style: {
      width: 86,
      marginRight: 8
    },
    rules: [{
      required: true,
      message: '不能为空'
    }]
  }), /*#__PURE__*/React.createElement(Select, {
    style: {
      width: 86,
      marginRight: 8
    },
    placeholder: "\u8BF7\u9009\u62E9",
    onChange: function onChange(e) {
      var _getFieldsValue5;

      setExpressHasValue(!!e);
      if (!e) setFormFields([{
        name: ['fields', name, 'value'],
        value: null
      }]);
      setFields((_getFieldsValue5 = getFieldsValue()) === null || _getFieldsValue5 === void 0 ? void 0 : _getFieldsValue5.fields);
      var value = getFieldValue(['fields', name, 'value']);
      if (typeof value === 'number' || !e) filterOk();
    }
  }, /*#__PURE__*/React.createElement(Option, {
    value: "="
  }, "="), /*#__PURE__*/React.createElement(Option, {
    value: ">"
  }, ">"), /*#__PURE__*/React.createElement(Option, {
    value: "\u2265"
  }, "\u2265"), /*#__PURE__*/React.createElement(Option, {
    value: "<"
  }, "<"), /*#__PURE__*/React.createElement(Option, {
    value: "\u2264"
  }, "\u2264"), /*#__PURE__*/React.createElement(Option, {
    value: "\u2260"
  }, "\u2260"))), /*#__PURE__*/React.createElement(Form.Item, _extends({}, restField, {
    name: [name, 'value'],
    style: {
      width: (currentSelected === null || currentSelected === void 0 ? void 0 : currentSelected.fieldType) === 'number' ? 206 : 300
    },
    rules: [{
      required: !!currentSelected,
      message: '不能为空'
    }]
  }), !currentSelected || (currentSelected === null || currentSelected === void 0 ? void 0 : currentSelected.fieldType) === 'number' && !expressHasValue ? /*#__PURE__*/React.createElement(Input, {
    disabled: true
  }) : inputComponent[currentSelected.fieldType] ? /*#__PURE__*/React.createElement(BaseWrapperHOC, {
    fun: inputComponent[currentSelected.fieldType],
    selectedItem: currentSelected
  }) : /*#__PURE__*/React.createElement(Input, {
    onBlur: valueChange,
    onPressEnter: valueChange
  })), /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-delete")
  }, /*#__PURE__*/React.createElement(Icon, {
    type: "delete",
    size: 16,
    onClick: function onClick() {
      return deleteItem(name);
    }
  })));
};

export default FilterValue;