var _excluded = ["children", "className"];

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import { Tabs, Badge } from 'rlj-design';
import classnames from 'classnames';
import { PREFIX_CLS } from "../constants/dictionary";
import "./style/index.less";
var prefixCls = "".concat(PREFIX_CLS, "-rljdTabs"); // 二次封装Tabs组件，实现底部滚动条的长度不随着tab内容长度而改变，及样式改动

var RljdTabs = function RljdTabs(_ref) {
  var children = _ref.children,
      className = _ref.className,
      restProps = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement(Tabs, _extends({
    className: classnames(prefixCls, className),
    tabBarGutter: 0
  }, restProps), children);
};

RljdTabs.TabExpand = function (_ref2) {
  var text = _ref2.text,
      _ref2$count = _ref2.count,
      count = _ref2$count === void 0 ? 0 : _ref2$count,
      _ref2$offset = _ref2.offset,
      offset = _ref2$offset === void 0 ? [4, 0] : _ref2$offset;
  return /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-TabExpand")
  }, /*#__PURE__*/React.createElement("span", null, text), /*#__PURE__*/React.createElement(Badge, {
    className: "".concat(prefixCls, "-badge"),
    offset: offset,
    size: "small",
    count: count
  }));
};

RljdTabs.TabPane = Tabs.TabPane;
export default RljdTabs;