import './index.less';
import type { TableUnit, TableColumns } from '../../../Interface/index';
export interface ItemType {
    isMergeRow?: boolean;
    rowIndex: number;
    subRowIndex: number;
    columnIndex: number;
    currentData: TableUnit;
    currentColumn: TableColumns<TableUnit>;
    mergeData?: Pick<TableUnit, 'mergeField' | 'mergeArr'>;
}
declare const Item: (props: ItemType) => JSX.Element;
export default Item;
